GNU bug report logs - #35560
GNOME Shell 3.28 crashes and suspends to RAM (!) after ejecting removable media

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Ludovic Courtès <ludo@HIDDEN>; dated Sat, 4 May 2019 14:14:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 May 2019 19:55:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 04 15:55:03 2019
Received: from localhost ([127.0.0.1]:52369 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hN0kR-00015c-33
	for submit <at> debbugs.gnu.org; Sat, 04 May 2019 15:55:03 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44288)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1hN0kM-000152-Lj
 for submit <at> debbugs.gnu.org; Sat, 04 May 2019 15:55:01 -0400
Received: from lists.gnu.org ([209.51.188.17]:39105)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rekado@HIDDEN>) id 1hN0kH-0001n7-Ft
 for submit <at> debbugs.gnu.org; Sat, 04 May 2019 15:54:53 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58669)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rekado@HIDDEN>) id 1hN0kG-0003Rf-EE
 for bug-guix@HIDDEN; Sat, 04 May 2019 15:54:53 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rekado@HIDDEN>) id 1hN0kD-0001lp-Ns
 for bug-guix@HIDDEN; Sat, 04 May 2019 15:54:52 -0400
Received: from sender4-of-o53.zoho.com ([136.143.188.53]:21360)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rekado@HIDDEN>) id 1hN0kD-0001l2-6b
 for bug-guix@HIDDEN; Sat, 04 May 2019 15:54:49 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1556999662; cv=none; d=zoho.com; s=zohoarc; 
 b=avCz1LhVkbtTTewX/2dNgpJDGfDj6ZbxbTNtNwlHzNngI3TK1Bu70/5Td2xR5LAM8fsTAvDxE5Yt+lPAkjG5DLMtXJAelyp05ALO7/kwjqnNDcVJPu3M+jDg5ccg4Ar/QiwiROJA0iJnFML3MiTuB55nOJJyM0NPP0U8W361nak=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1556999662;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=qWliWzAEIv4MBKsRRzdYUeLWrtsKruiO4jNS2pwRvis=; 
 b=WeHQdA6nwZIzlqu9kjJVlbAgpcSfvPV7iWtIXwStOQRsZVTHX071BDBFOm14MxoZ7YArMkfptNxN03c6ICoXvpK7tuPAPSbp9ON23FRXwCVlU++VTml6uSdngOmm4DbJqeazJPy5PkHvR6JXU0lF8qFof3K5+HfipvSoX/b9wzw=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1556999662; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=1073; bh=qWliWzAEIv4MBKsRRzdYUeLWrtsKruiO4jNS2pwRvis=;
 b=EwSliqXkXyPmdx3jScp/z+S/LsDhlPd+yAfSp34xuqgUYbiTL5/AfLOK6iKpeS7s
 TVMQD/RRwPBzx9/PZguBXw6HIloWpb6eq48drrp/WyWOfCOlFvCnWPPDPgb+yWTBhZP
 B1GKPg0irzCsUkuHii5s3Ztyg+3qdsX35Clp0+dk=
Received: from localhost (p54AD4205.dip0.t-ipconnect.de [84.173.66.5]) by
 mx.zohomail.com with SMTPS id 1556999660403241.76239297669952;
 Sat, 4 May 2019 12:54:20 -0700 (PDT)
References: <87sgtu2tq7.fsf@HIDDEN> <87pnoyuijc.fsf@HIDDEN>
 <87lfzmuid1.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Ricardo Wurmus <rekado@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#35560: GNOME Shell 3.28 crashes and suspends to RAM (!) after
 ejecting removable media
In-reply-to: <87lfzmuid1.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Sat, 04 May 2019 21:54:16 +0200
Message-ID: <874l6aknbr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 136.143.188.53
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: 35560 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Mark H Weaver <mhw@HIDDEN> writes:

> Earlier, I wrote:
>
>> FWIW, I've found GNOME Shell to be quite solid on my X200, including
>> since the 3.28 upgrade.  However, I run it under Wayland, by running
>> "XDG_SESSION_TYPE=3Dwayland exec dbus-run-session gnome-session" from a
>> text console.  Perhaps that makes a difference?
>>
>>> The thing that=E2=80=99s really bad is that clicking on the eject icon =
of a
>>> removal storage device in Files leads to a gnome-shell crash that=E2=80=
=99s
>>> unrecoverable (=E2=80=9Crespawning too quickly=E2=80=9D), followed by t=
he laptop
>>> entering suspend-to-RAM without prior notice (!):
>>
>> I just tried this, and it works fine for me.
>
> I should also mention that unlike Timothy and Ricardo, I've *not* done
> any cleaning of my GNOME-related configuration/state.  I also never
> experienced the crashes that were apparently fixed by commit
> c5db31d4141669d09c1cd8b37eb270c2fe23c7cf.

The crashes would only happen if stale notifications were loaded up by
the new GNOME.

--=20
Ricardo





Information forwarded to bug-guix@HIDDEN:
bug#35560; Package guix. Full text available.

Message received at 35560 <at> debbugs.gnu.org:


Received: (at 35560) by debbugs.gnu.org; 4 May 2019 19:32:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 04 15:32:49 2019
Received: from localhost ([127.0.0.1]:52343 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hN0Ov-0000Th-8D
	for submit <at> debbugs.gnu.org; Sat, 04 May 2019 15:32:49 -0400
Received: from world.peace.net ([64.112.178.59]:56090)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hN0Ot-0000TS-3V
 for 35560 <at> debbugs.gnu.org; Sat, 04 May 2019 15:32:47 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hN0On-0000nF-Ho; Sat, 04 May 2019 15:32:41 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#35560: GNOME Shell 3.28 crashes and suspends to RAM (!) after
 ejecting removable media
References: <87sgtu2tq7.fsf@HIDDEN> <87pnoyuijc.fsf@HIDDEN>
Date: Sat, 04 May 2019 15:30:55 -0400
In-Reply-To: <87pnoyuijc.fsf@HIDDEN> (Mark H. Weaver's message of "Sat, 04
 May 2019 15:27:08 -0400")
Message-ID: <87lfzmuid1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35560
Cc: 35560 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Earlier, I wrote:

> FWIW, I've found GNOME Shell to be quite solid on my X200, including
> since the 3.28 upgrade.  However, I run it under Wayland, by running
> "XDG_SESSION_TYPE=3Dwayland exec dbus-run-session gnome-session" from a
> text console.  Perhaps that makes a difference?
>
>> The thing that=E2=80=99s really bad is that clicking on the eject icon o=
f a
>> removal storage device in Files leads to a gnome-shell crash that=E2=80=
=99s
>> unrecoverable (=E2=80=9Crespawning too quickly=E2=80=9D), followed by th=
e laptop
>> entering suspend-to-RAM without prior notice (!):
>
> I just tried this, and it works fine for me.

I should also mention that unlike Timothy and Ricardo, I've *not* done
any cleaning of my GNOME-related configuration/state.  I also never
experienced the crashes that were apparently fixed by commit
c5db31d4141669d09c1cd8b37eb270c2fe23c7cf.

       Mark




Information forwarded to bug-guix@HIDDEN:
bug#35560; Package guix. Full text available.

Message received at 35560 <at> debbugs.gnu.org:


Received: (at 35560) by debbugs.gnu.org; 4 May 2019 19:29:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 04 15:29:01 2019
Received: from localhost ([127.0.0.1]:52329 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hN0LF-0000LW-9a
	for submit <at> debbugs.gnu.org; Sat, 04 May 2019 15:29:01 -0400
Received: from world.peace.net ([64.112.178.59]:56082)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hN0LE-0000LE-0c
 for 35560 <at> debbugs.gnu.org; Sat, 04 May 2019 15:29:00 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hN0L8-0000l0-Bc; Sat, 04 May 2019 15:28:54 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#35560: GNOME Shell 3.28 crashes and suspends to RAM (!) after
 ejecting removable media
References: <87sgtu2tq7.fsf@HIDDEN>
Date: Sat, 04 May 2019 15:27:08 -0400
In-Reply-To: <87sgtu2tq7.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Sat, 04 May 2019 16:13:20 +0200")
Message-ID: <87pnoyuijc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35560
Cc: 35560 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> GNOME Shell is crashy since the 3.28 upgrade (it=E2=80=99s an install tha=
t was
> made before the 3.28 upgrade; I wonder whether the same happens on a
> fresh install.)
>
> It occasionally crashes (SIGSEGV) and is automatically respawned, which
> is kinda okay: as a user, you notice that it flickers for a second or
> two and then it comes back.

FWIW, I've found GNOME Shell to be quite solid on my X200, including
since the 3.28 upgrade.  However, I run it under Wayland, by running
"XDG_SESSION_TYPE=3Dwayland exec dbus-run-session gnome-session" from a
text console.  Perhaps that makes a difference?

> The thing that=E2=80=99s really bad is that clicking on the eject icon of=
 a
> removal storage device in Files leads to a gnome-shell crash that=E2=80=
=99s
> unrecoverable (=E2=80=9Crespawning too quickly=E2=80=9D), followed by the=
 laptop
> entering suspend-to-RAM without prior notice (!):

I just tried this, and it works fine for me.

      Mark




Information forwarded to bug-guix@HIDDEN:
bug#35560; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 May 2019 16:40:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 04 12:40:35 2019
Received: from localhost ([127.0.0.1]:52088 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hMxiE-00028S-Rb
	for submit <at> debbugs.gnu.org; Sat, 04 May 2019 12:40:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34866)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1hMxiC-00028G-Pc
 for submit <at> debbugs.gnu.org; Sat, 04 May 2019 12:40:33 -0400
Received: from lists.gnu.org ([209.51.188.17]:42991)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rekado@HIDDEN>) id 1hMxi7-0008QJ-LE
 for submit <at> debbugs.gnu.org; Sat, 04 May 2019 12:40:27 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49246)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rekado@HIDDEN>) id 1hMxi6-0007Ud-KT
 for bug-guix@HIDDEN; Sat, 04 May 2019 12:40:27 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rekado@HIDDEN>) id 1hMxi5-0008P5-OD
 for bug-guix@HIDDEN; Sat, 04 May 2019 12:40:26 -0400
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21267)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rekado@HIDDEN>)
 id 1hMxhw-0008HQ-QT; Sat, 04 May 2019 12:40:18 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1556988006; cv=none; d=zoho.com; s=zohoarc; 
 b=PsudSB1bwKPYvNw1wLn+eICqP+4zgOGXce1IkJR8lA/WzWk84/Tm4fxPnyHiWk3WwwpLk/6URTVqNdvxYQk1zHH2TcsInzVUpYw4vSvzWaynf9c5jH+EIfrDZ/CZiOsmBhCAKSEZKbnhy3xcpqMEjhTLPaemrRmxMHNqAObJlng=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1556988006;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=h5/F8SUOBfh+QWOcvZ2s4HbqEc+YGkPNxvM+ed31jRU=; 
 b=mtyA3Mz7/6A+kWgwUDpQOfHtlYylriiLoH0/yjRHlefb3szl5ozj6GOctfGaCzvZ63QWhdyqS6MTTtQrX4XO0Cc00muRDGMdf8dcwdjJZ6MO9UhUXN9S8ZbafBGDXeMuOKHmfQfQaJHF+aInXf5IX2bTs/YZAPD+yfWIDEbi9+0=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1556988006; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=547; bh=h5/F8SUOBfh+QWOcvZ2s4HbqEc+YGkPNxvM+ed31jRU=;
 b=QKNkIu2eqgX33dBNb+bKjd0CO9STSWtOJRZXuM/Pl+VdOmf6q9cPNeVRfPKYxcuQ
 J4t78AIxvaJ5E/8g+sRqytl6hLVDbrG2jV60jHju/xDDxjEYKlLjXd0dVs7kIQsMNev
 kPNShtmBaVI7e0Gsm67/I7OmYx5cxX3bfvaVMb2Q=
Received: from localhost (p54AD4205.dip0.t-ipconnect.de [84.173.66.5]) by
 mx.zohomail.com with SMTPS id 1556988004977853.7608986595856;
 Sat, 4 May 2019 09:40:04 -0700 (PDT)
References: <87sgtu2tq7.fsf@HIDDEN> <874l6anuui.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Timothy Sample <samplet@HIDDEN>
Subject: Re: GNOME Shell 3.28 crashes and suspends to RAM (!) after ejecting
 removable media
In-reply-to: <874l6anuui.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Sat, 04 May 2019 18:40:00 +0200
Message-ID: <87woj6fa1r.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 135.84.80.216
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Bug Guix <bug-guix@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Timothy Sample <samplet@HIDDEN> writes:

>> GNOME Shell is crashy since the 3.28 upgrade (it=E2=80=99s an install th=
at was
>> made before the 3.28 upgrade; I wonder whether the same happens on a
>> fresh install.)
>
> GNOME Shell has been quite stable for me since Ricardo made sure that it
> was using GDK-PixBuf with SVG support (see commit
> c5db31d4141669d09c1cd8b37eb270c2fe23c7cf).

This has also been my experience.  Since this commit everything works
fine for me.  It hasn=E2=80=99t crashed on me once.

--=20
Ricardo





Information forwarded to bug-guix@HIDDEN:
bug#35560; Package guix. Full text available.

Message received at 35560 <at> debbugs.gnu.org:


Received: (at 35560) by debbugs.gnu.org; 4 May 2019 14:52:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 04 10:52:47 2019
Received: from localhost ([127.0.0.1]:51963 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hMw1v-0007ow-JX
	for submit <at> debbugs.gnu.org; Sat, 04 May 2019 10:52:47 -0400
Received: from pelzflorian.de ([5.45.111.108]:40554 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1hMw1t-0007om-LT
 for 35560 <at> debbugs.gnu.org; Sat, 04 May 2019 10:52:46 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id 714CE360038;
 Sat,  4 May 2019 16:52:36 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1556981556;
 bh=dPkQ5keYDJFkqL4UQD/8/qGjeo/T2jWDoM/WsWTMg3s=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=DkUnwsHbSMoFcgc6ZHHI84Pw4MHy42siiYVpF+4DDkDwpIB74fUVxe5maI4gnpkwA
 2bCscXSxxQIYqLkVrjOJXQgjB39K5TvrK6B58tmAF3JdB3+/UkDAP9qmfTEonmwS5L
 L5tAcN4FM5bbxRZr3gjy+7cs1roqUDhghXaVBWrI=
Date: Sat, 4 May 2019 16:52:36 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#35560: GNOME Shell 3.28 crashes and suspends to RAM (!)
 after ejecting removable media
Message-ID: <20190504145235.35nfitezxm6spk5f@HIDDEN>
References: <87sgtu2tq7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87sgtu2tq7.fsf@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35560
Cc: 35560 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, May 04, 2019 at 04:13:20PM +0200, Ludovic Courtès wrote:
> Hello!
> 
> GNOME Shell is crashy since the 3.28 upgrade (it’s an install that was
> made before the 3.28 upgrade; I wonder whether the same happens on a
> fresh install.)
> 

On a fresh install I have no such issues, however pressing my Mac
keyboard’s eject key ejects my USB drive (mounted or not) and only
ejects my DVD when no USB drive is plugged in; I guess this could
cause issues (?).




Information forwarded to bug-guix@HIDDEN:
bug#35560; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 May 2019 14:43:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 04 10:43:50 2019
Received: from localhost ([127.0.0.1]:51952 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hMvtG-0007bC-Jl
	for submit <at> debbugs.gnu.org; Sat, 04 May 2019 10:43:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41625)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <samplet@HIDDEN>) id 1hMvtE-0007b0-NK
 for submit <at> debbugs.gnu.org; Sat, 04 May 2019 10:43:49 -0400
Received: from lists.gnu.org ([209.51.188.17]:35425)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <samplet@HIDDEN>) id 1hMvt8-0006MR-7D
 for submit <at> debbugs.gnu.org; Sat, 04 May 2019 10:43:43 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55991)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <samplet@HIDDEN>) id 1hMvt7-0005iE-15
 for bug-guix@HIDDEN; Sat, 04 May 2019 10:43:42 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <samplet@HIDDEN>) id 1hMvt3-0006KQ-Ux
 for bug-guix@HIDDEN; Sat, 04 May 2019 10:43:40 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:55359)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <samplet@HIDDEN>)
 id 1hMvt3-0006IW-5S; Sat, 04 May 2019 10:43:37 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id D13EF28EB3;
 Sat,  4 May 2019 10:43:35 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Sat, 04 May 2019 10:43:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:message-id:mime-version:references:subject:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm2; bh=dE9+1dK7L41E4b+bYLA2jCdfab4ueLbkGvh8P7fv6rI=; b=rCHe+qcK
 8eFCzpnIrkv0F3dvCQcbqofo5wOX7O1ZMJdqaUbpUi4bfkBUwCOqDMaheSSFbU+5
 qcftIGbBA+gi75B+kfODw8GWh3AAdlMsWMG3B80phxnzXDJQlTChYb0qQGsle/OM
 BrW/RUoGAxfYorXYYPsHukYtatoTWg1h/ODydkVo2cGrtbMG8wiwsCC0AngV9IPO
 GMTW8rAy5dTtoiWaIv85Lls8jloSYIxbrmFoR+WjLzoWuxqEAeant3yZlgp1Hrq0
 ZFZ4cYS01gbFus4oyTzvCatD0xeV81qB7F6Ib4X5RVdVWeKRI7BhfNERMUgqLils
 Fl/qX5lkCdNDkQ==
X-ME-Sender: <xms:F6XNXPD29j5UMdLYI6b0hMmmT4zjEM243Rj7S5mxM6tG6mwAoohc1Q>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduuddrjeefgdejlecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpefhvffufhffkfgfgggtgfesthhqredttderjeenucfhrhhomhepvfhimhhothhh
 hicuufgrmhhplhgvuceoshgrmhhplhgvthesnhhghihrohdrtghomheqnecukfhppeejge
 drudduiedrudekiedrgeegnecurfgrrhgrmhepmhgrihhlfhhrohhmpehsrghmphhlvght
 sehnghihrhhordgtohhmnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:F6XNXK7XLf7F70rFAM72Pxt03ZV2TSfQPIIKUuPidNGnZVdR_91fng>
 <xmx:F6XNXKwP4Dx8lk6SC_33mPsUvJwA8O5-N5E4u8dH4Csi83mPzCCIcg>
 <xmx:F6XNXBzHHXcULy5-NinfDKj6xbqRdGUtPBV0PwxZlnzpcMLw7rT4jg>
 <xmx:F6XNXC7R5twMms28n_rA9K_04LomNK_2J2mVUpNwa7MMJ0TyvUhUog>
Received: from mrblack (74-116-186-44.qc.dsl.ebox.net [74.116.186.44])
 by mail.messagingengine.com (Postfix) with ESMTPA id 096BDE448F;
 Sat,  4 May 2019 10:43:35 -0400 (EDT)
From: Timothy Sample <samplet@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: GNOME Shell 3.28 crashes and suspends to RAM (!) after ejecting
 removable media
References: <87sgtu2tq7.fsf@HIDDEN>
Date: Sat, 04 May 2019 10:43:33 -0400
Message-ID: <874l6anuui.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 66.111.4.28
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: Ricardo Wurmus <rekado@HIDDEN>, Bug Guix <bug-guix@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Hi Ludo,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hello!
>
> GNOME Shell is crashy since the 3.28 upgrade (it=E2=80=99s an install tha=
t was
> made before the 3.28 upgrade; I wonder whether the same happens on a
> fresh install.)

GNOME Shell has been quite stable for me since Ricardo made sure that it
was using GDK-PixBuf with SVG support (see commit
c5db31d4141669d09c1cd8b37eb270c2fe23c7cf).

> It occasionally crashes (SIGSEGV) and is automatically respawned, which
> is kinda okay: as a user, you notice that it flickers for a second or
> two and then it comes back.
>
> The thing that=E2=80=99s really bad is that clicking on the eject icon of=
 a
> removal storage device in Files leads to a gnome-shell crash that=E2=80=
=99s
> unrecoverable (=E2=80=9Crespawning too quickly=E2=80=9D), followed by the=
 laptop
> entering suspend-to-RAM without prior notice (!):

I did experience this when it was crashing frequently.  Since Icecat
sends a notification (which used to crash GNOME Shell) every time you
open a link from Emacs, I would always have to ask myself, =E2=80=9Cis what=
ever
is on the other end of this link really worth my computer immediately
suspending?=E2=80=9D

> [...]
>
> Is anybody experiencing this?  Ideas?  Thoughts?  Sympathy?  :-)

Like I said, it=E2=80=99s working well for me now, but I did end up clearing
most of my GNOME-related configuration and state during the upgrade.

One quick thing to check is whether the SVG support is actually working
for you.  Ricardo=E2=80=99s commit also fixed a bug where the little close =
(=E2=80=9CX=E2=80=9D)
icons in the top-right corner didn=E2=80=99t show up when you hover on the
windows in the =E2=80=9CActivities=E2=80=9D screen.  The arrows to switch t=
he month in
the calendar were invisible, too.

And yes, lots of sympathy!  :)


-- Tim




Information forwarded to bug-guix@HIDDEN:
bug#35560; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 May 2019 14:13:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 04 10:13:34 2019
Received: from localhost ([127.0.0.1]:51926 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hMvPx-0006q0-RH
	for submit <at> debbugs.gnu.org; Sat, 04 May 2019 10:13:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35819)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hMvPw-0006pn-1v
 for submit <at> debbugs.gnu.org; Sat, 04 May 2019 10:13:32 -0400
Received: from lists.gnu.org ([209.51.188.17]:59350)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ludo@HIDDEN>) id 1hMvPq-0000to-VO
 for submit <at> debbugs.gnu.org; Sat, 04 May 2019 10:13:26 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50197)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1hMvPp-0004Yd-M7
 for bug-guix@HIDDEN; Sat, 04 May 2019 10:13:26 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=ALL_TRUSTED,BAYES_50
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52736)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hMvPp-0000t4-4S; Sat, 04 May 2019 10:13:25 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=35776 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hMvPn-0004gP-ET; Sat, 04 May 2019 10:13:24 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Bug Guix <bug-guix@HIDDEN>
Subject: GNOME Shell 3.28 crashes and suspends to RAM (!) after ejecting
 removable media
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 15 =?utf-8?Q?Flor=C3=A9al?= an 227 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sat, 04 May 2019 16:13:20 +0200
Message-ID: <87sgtu2tq7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: Ricardo Wurmus <rekado@HIDDEN>, Timothy Sample <samplet@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello!

GNOME Shell is crashy since the 3.28 upgrade (it=E2=80=99s an install that =
was
made before the 3.28 upgrade; I wonder whether the same happens on a
fresh install.)

It occasionally crashes (SIGSEGV) and is automatically respawned, which
is kinda okay: as a user, you notice that it flickers for a second or
two and then it comes back.

The thing that=E2=80=99s really bad is that clicking on the eject icon of a
removal storage device in Files leads to a gnome-shell crash that=E2=80=99s
unrecoverable (=E2=80=9Crespawning too quickly=E2=80=9D), followed by the l=
aptop
entering suspend-to-RAM without prior notice (!):

--8<---------------cut here---------------start------------->8---
May  4 16:01:29 localhost gnome-session-binary[1200]: WARNING: Application =
'org.gnome.Shell.desktop' killed by signal 11
May  4 16:01:30 localhost dbus-daemon[492]: [system] Activating service nam=
e=3D'org.freedesktop.GeoClue2' requested by ':1.161' (uid=3D30011 pid=3D176=
18 comm=3D"/gnu/store/lv4bxsnjnc9d5bgpsz358bn8l63z6972-gnome-") (using serv=
icehelper)
May  4 16:01:30 localhost dbus-daemon[492]: [system] Successfully activated=
 service 'org.freedesktop.GeoClue2'
May  4 16:01:31 localhost vmunix: [22649.868434] pool[17625]: segfault at 0=
 ip 00007f674cf716b6 sp 00007f6743ffe7d8 error 4 in libc-2.28.so[7f674cefe0=
00+13f000]
May  4 16:01:31 localhost vmunix: [22649.868445] Code: 0f 1f 40 00 66 0f ef=
 c0 66 0f ef c9 66 0f ef d2 66 0f ef db 48 89 f8 48 89 f9 48 81 e1 ff 0f 00=
 00 48 81 f9 cf 0f 00 00 77 6a <f3> 0f 6f 20 66 0f 74 e0 66 0f d7 d4 85 d2 =
74 04 0f bc c2 c3 48 83
May  4 16:01:31 localhost gnome-session-binary[1200]: WARNING: Application =
'org.gnome.Shell.desktop' killed by signal 11
May  4 16:01:31 localhost gnome-session-binary[1200]: WARNING: App 'org.gno=
me.Shell.desktop' respawning too quickly
May  4 16:01:31 localhost colord: Automatic remove of icc-55226bc36922618d7=
56d61d24203325a from xrandr-Undefined
May  4 16:01:31 localhost colord: Profile removed: icc-55226bc36922618d756d=
61d24203325a
May  4 16:01:31 localhost colord: Automatic remove of icc-650990d735c23843b=
779ea9f8129fbb2 from xrandr-Undefined-HP w1907-3CQ834385X
May  4 16:01:31 localhost colord: Profile removed: icc-650990d735c23843b779=
ea9f8129fbb2
May  4 16:01:32 localhost NetworkManager[495]: <info>  [1556978492.9794] ma=
nager: sleep: sleep requested (sleeping: no  enabled: yes)
May  4 16:01:32 localhost NetworkManager[495]: <info>  [1556978492.9794] ma=
nager: NetworkManager state is now ASLEEP
May  4 16:01:38 localhost vmunix: [22656.546797] PM: suspend entry (deep)
May  4 16:01:38 localhost vmunix: [22656.546800] PM: Syncing filesystems ..=
.=20
--8<---------------cut here---------------end--------------->8---

In /var/log/gdm/greeter.log, I see this:

--8<---------------cut here---------------start------------->8---
GNOME Shell-Message: 16:01:32.993: Screen lock is locked down, not locking
GNOME Shell-Message: 16:01:33.004: Screen lock is locked down, not locking
GNOME Shell-Message: 16:01:33.018: Screen lock is locked down, not locking
GNOME Shell-Message: 16:01:33.024: Screen lock is locked down, not locking
GNOME Shell-Message: 16:01:33.030: Screen lock is locked down, not locking
GNOME Shell-Message: 16:01:33.037: Screen lock is locked down, not locking
GNOME Shell-Message: 16:01:33.043: Screen lock is locked down, not locking
GNOME Shell-Message: 16:01:38.209: Screen lock is locked down, not locking
gnome-session-binary[605]: WARNING: Application 'org.gnome.Shell.desktop' k=
illed by signal 11

(gsd-power:695): GnomeDesktop-WARNING **: 16:01:38.291: Error setting prope=
rty 'PowerSaveMode' on interface org.gnome.Mutter.DisplayConfig: GDBus.Erro=
r:org.freedesktop.DBus.Error.NoReply: Message recipient disconnected from m=
essage bus without replying (g-dbus-error-quark, 4)

(gsd-power:695): GnomeDesktop-WARNING **: 16:01:38.291: Error setting prope=
rty 'PowerSaveMode' on interface org.gnome.Mutter.DisplayConfig: GDBus.Erro=
r:org.freedesktop.DBus.Error.NoReply: Message recipient disconnected from m=
essage bus without replying (g-dbus-error-quark, 4)
--8<---------------cut here---------------end--------------->8---

Is anybody experiencing this?  Ideas?  Thoughts?  Sympathy?  :-)

Ludo=E2=80=99.




Acknowledgement sent to Ludovic Courtès <ludo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#35560; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 4 May 2019 20:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.